<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Row (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Row (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Row.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/Row.html" target="_top">Frames</a></li>
        <li><a href="Row.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Interface Row" class="title">Interface Row</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Superinterfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                 title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;
                    </dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
                           title="class in org.apache.poi.hssf.usermodel">HSSFRow</a>, <a
                            href="../../../../../org/apache/poi/xssf/streaming/SXSSFRow.html"
                            title="class in org.apache.poi.xssf.streaming">SXSSFRow</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFRow</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">Row</span>
extends java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                 title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</pre>
                <div class="block">High level representation of a row of a spreadsheet.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Interface and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
                                        title="enum in org.apache.poi.ss.usermodel">Row.MissingCellPolicy</a></span></code>
                                    <div class="block">Used to specify the different possible policies
                                        if for the case of null and blank cells
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#cellIterator--">cellIterator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#createCell-int-">createCell</a></span>(int&nbsp;column)</code>
                                    <div class="block">Use this to create new cells within the row and return it.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#createCell-int-org.apache.poi.ss.usermodel.CellType-">createCell</a></span>(int&nbsp;column,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                       title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;type)</code>
                                    <div class="block">Use this to create new cells within the row and return it.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#getCell-int-">getCell</a></span>(int&nbsp;cellnum)</code>
                                    <div class="block">Get the cell representing a given column (logical cell)
                                        0-based.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#getCell-int-org.apache.poi.ss.usermodel.Row.MissingCellPolicy-">getCell</a></span>(int&nbsp;cellnum,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
                                       title="enum in org.apache.poi.ss.usermodel">Row.MissingCellPolicy</a>&nbsp;policy)</code>
                                    <div class="block">Returns the cell at the given (0 based) index, with the specified
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
                                           title="enum in org.apache.poi.ss.usermodel"><code>Row.MissingCellPolicy</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#getFirstCellNum--">getFirstCellNum</a></span>()</code>
                                    <div class="block">Get the number of the first cell contained in this row.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#getHeight--">getHeight</a></span>()</code>
                                    <div class="block">Get the row's height measured in twips (1/20th of a point).</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>float</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#getHeightInPoints--">getHeightInPoints</a></span>()</code>
                                    <div class="block">Returns row height measured in point size.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#getLastCellNum--">getLastCellNum</a></span>()</code>
                                    <div class="block">Gets the index of the last cell contained in this row <b>PLUS
                                        ONE</b>.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#getOutlineLevel--">getOutlineLevel</a></span>()</code>
                                    <div class="block">Returns the rows outline level.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#getPhysicalNumberOfCells--">getPhysicalNumberOfCells</a></span>()</code>
                                    <div class="block">Gets the number of defined cells (NOT number of cells in the
                                        actual row!).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#getRowNum--">getRowNum</a></span>()</code>
                                    <div class="block">Get row number this row represents</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                        title="interface in org.apache.poi.ss.usermodel">CellStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#getRowStyle--">getRowStyle</a></span>()</code>
                                    <div class="block">Returns the whole-row cell styles.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#getSheet--">getSheet</a></span>()</code>
                                    <div class="block">Returns the Sheet this row belongs to</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#getZeroHeight--">getZeroHeight</a></span>()</code>
                                    <div class="block">Get whether or not to display this row with 0 height</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#isFormatted--">isFormatted</a></span>()</code>
                                    <div class="block">Is this row formatted? Most aren't, but some rows
                                        do have whole-row styles.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#removeCell-org.apache.poi.ss.usermodel.Cell-">removeCell</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                    <div class="block">Remove the Cell from this row.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#setHeight-short-">setHeight</a></span>(short&nbsp;height)</code>
                                    <div class="block">Set the row's height or set to ff (-1) for
                                        undefined/default-height.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#setHeightInPoints-float-">setHeightInPoints</a></span>(float&nbsp;height)</code>
                                    <div class="block">Set the row's height in points.</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#setRowNum-int-">setRowNum</a></span>(int&nbsp;rowNum)</code>
                                    <div class="block">Set the row number of this row.</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#setRowStyle-org.apache.poi.ss.usermodel.CellStyle-">setRowStyle</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                        title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>
                                    <div class="block">Applies a whole-row cell styling to the row.</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#setZeroHeight-boolean-">setZeroHeight</a></span>(boolean&nbsp;zHeight)</code>
                                    <div class="block">Set whether or not to display this row with 0 height</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#shiftCellsLeft-int-int-int-">shiftCellsLeft</a></span>(int&nbsp;firstShiftColumnIndex,
                                    int&nbsp;lastShiftColumnIndex,
                                    int&nbsp;step)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#shiftCellsRight-int-int-int-">shiftCellsRight</a></span>(int&nbsp;firstShiftColumnIndex,
                                    int&nbsp;lastShiftColumnIndex,
                                    int&nbsp;step)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, iterator, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createCell-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createCell</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;createCell(int&nbsp;column)</pre>
                                <div class="block">Use this to create new cells within the row and return it.
                                    <p>
                                        The cell that is returned is a <a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellType.html#BLANK"><code>CellType.BLANK</code></a>.
                                        The type can be changed
                                        either through calling <code>setCellValue</code> or <code>setCellType</code>.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>column</code> - - the column number this cell represents</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Cell a high level representation of the created cell.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if columnIndex &lt; 0 or
                                        greater than the maximum number of supported columns
                                        (255 for *.xls, 1048576 for *.xlsx)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createCell-int-org.apache.poi.ss.usermodel.CellType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createCell</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;createCell(int&nbsp;column,
                <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                   title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;type)</pre>
                                <div class="block">Use this to create new cells within the row and return it.
                                    <p>
                                        The cell that is returned will be of the requested type.
                                        The type can be changed either through calling setCellValue
                                        or setCellType, but there is a small overhead to doing this,
                                        so it is best to create of the required type up front.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>column</code> - - the column number this cell represents</dd>
                                    <dd><code>type</code> - - the cell's data type</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Cell a high level representation of the created cell.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if columnIndex &lt; 0 or
                                        greater than a maximum number of supported columns
                                        (255 for *.xls, 1048576 for *.xlsx)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeCell-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeCell</h4>
                                <pre>void&nbsp;removeCell(<a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                             title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</pre>
                                <div class="block">Remove the Cell from this row.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - the cell to remove</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRowNum-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRowNum</h4>
                                <pre>void&nbsp;setRowNum(int&nbsp;rowNum)</pre>
                                <div class="block">Set the row number of this row.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rowNum</code> - the row number (0-based)</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if rowNum &lt; 0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRowNum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRowNum</h4>
                                <pre>int&nbsp;getRowNum()</pre>
                                <div class="block">Get row number this row represents</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the row number (0 based)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCell-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCell</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;getCell(int&nbsp;cellnum)</pre>
                                <div class="block">Get the cell representing a given column (logical cell) 0-based. If
                                    you
                                    ask for a cell that is not defined....you get a null.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cellnum</code> - 0 based column number</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Cell representing that column or null if undefined.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Row.html#getCell-int-org.apache.poi.ss.usermodel.Row.MissingCellPolicy-"><code>getCell(int,
                                            org.apache.poi.ss.usermodel.Row.MissingCellPolicy)</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCell-int-org.apache.poi.ss.usermodel.Row.MissingCellPolicy-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCell</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;getCell(int&nbsp;cellnum,
             <a href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
                title="enum in org.apache.poi.ss.usermodel">Row.MissingCellPolicy</a>&nbsp;policy)</pre>
                                <div class="block">Returns the cell at the given (0 based) index, with the specified <a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
                                        title="enum in org.apache.poi.ss.usermodel"><code>Row.MissingCellPolicy</code></a>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the cell at the given (0 based) index</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if cellnum &lt; 0 or the
                                        specified MissingCellPolicy is invalid
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFirstCellNum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstCellNum</h4>
                                <pre>short&nbsp;getFirstCellNum()</pre>
                                <div class="block">Get the number of the first cell contained in this row.

                                    Note: cells which had content before and were set to empty later might
                                    still be counted as cells by Excel and Apache POI, so the result of this
                                    method will include such rows and thus the returned value might be lower
                                    than expected!
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>short representing the first logical cell in the row,
                                        or -1 if the row does not contain any cells.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLastCellNum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastCellNum</h4>
                                <pre>short&nbsp;getLastCellNum()</pre>
                                <div class="block">Gets the index of the last cell contained in this row <b>PLUS ONE</b>.
                                    The result also
                                    happens to be the 1-based column number of the last cell. This value can be used as
                                    a
                                    standard upper bound when iterating over cells:
                                    <pre>
 short minColIx = row.getFirstCellNum();
 short maxColIx = row.getLastCellNum();
 for(short colIx=minColIx; colIx&lt;maxColIx; colIx++) {
   Cell cell = row.getCell(colIx);
   if(cell == null) {
     continue;
   }
   //... do something with cell
 }
 </pre>

                                    Note: cells which had content before and were set to empty later might
                                    still be counted as cells by Excel and Apache POI, so the result of this
                                    method will include such rows and thus the returned value might be higher
                                    than expected!
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>short representing the last logical cell in the row <b>PLUS ONE</b>,
                                        or -1 if the row does not contain any cells.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPhysicalNumberOfCells--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPhysicalNumberOfCells</h4>
                                <pre>int&nbsp;getPhysicalNumberOfCells()</pre>
                                <div class="block">Gets the number of defined cells (NOT number of cells in the actual
                                    row!).
                                    That is to say if only columns 0,4,5 have values then there would be 3.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>int representing the number of defined cells in the row.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHeight-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHeight</h4>
                                <pre>void&nbsp;setHeight(short&nbsp;height)</pre>
                                <div class="block">Set the row's height or set to ff (-1) for undefined/default-height.
                                    Set the height in "twips" or
                                    1/20th of a point.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>height</code> - rowheight or 0xff for undefined (use sheet default)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setZeroHeight-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setZeroHeight</h4>
                                <pre>void&nbsp;setZeroHeight(boolean&nbsp;zHeight)</pre>
                                <div class="block">Set whether or not to display this row with 0 height</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>zHeight</code> - height is zero or not.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getZeroHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getZeroHeight</h4>
                                <pre>boolean&nbsp;getZeroHeight()</pre>
                                <div class="block">Get whether or not to display this row with 0 height</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>- zHeight height is zero or not.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHeightInPoints-float-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHeightInPoints</h4>
                                <pre>void&nbsp;setHeightInPoints(float&nbsp;height)</pre>
                                <div class="block">Set the row's height in points.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>height</code> - the height in points. <code>-1</code> resets to the
                                        default height
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeight</h4>
                                <pre>short&nbsp;getHeight()</pre>
                                <div class="block">Get the row's height measured in twips (1/20th of a point). If the
                                    height is not set, the default worksheet value is returned,
                                    See
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html#getDefaultRowHeightInPoints--"><code>Sheet.getDefaultRowHeightInPoints()</code></a>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>row height measured in twips (1/20th of a point)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHeightInPoints--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeightInPoints</h4>
                                <pre>float&nbsp;getHeightInPoints()</pre>
                                <div class="block">Returns row height measured in point size. If the height is not set,
                                    the default worksheet value is returned,
                                    See
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html#getDefaultRowHeightInPoints--"><code>Sheet.getDefaultRowHeightInPoints()</code></a>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>row height measured in point size</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html#getDefaultRowHeightInPoints--"><code>Sheet.getDefaultRowHeightInPoints()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isFormatted--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFormatted</h4>
                                <pre>boolean&nbsp;isFormatted()</pre>
                                <div class="block">Is this row formatted? Most aren't, but some rows
                                    do have whole-row styles. For those that do, you
                                    can get the formatting from <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getRowStyle--"><code>getRowStyle()</code></a>
                                </div>
                            </li>
                        </ul>
                        <a name="getRowStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRowStyle</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                        title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;getRowStyle()</pre>
                                <div class="block">Returns the whole-row cell styles. Most rows won't
                                    have one of these, so will return null. Call
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Row.html#isFormatted--"><code>isFormatted()</code></a>
                                    to check first.
                                </div>
                            </li>
                        </ul>
                        <a name="setRowStyle-org.apache.poi.ss.usermodel.CellStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRowStyle</h4>
                                <pre>void&nbsp;setRowStyle(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                        title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</pre>
                                <div class="block">Applies a whole-row cell styling to the row.</div>
                            </li>
                        </ul>
                        <a name="cellIterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>cellIterator</h4>
                                <pre>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;&nbsp;cellIterator()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Cell iterator of the physically defined cells. Note element 4 may
                                        actually be row cell depending on how many are defined!
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheet</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;getSheet()</pre>
                                <div class="block">Returns the Sheet this row belongs to</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the Sheet that owns this row</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOutlineLevel--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOutlineLevel</h4>
                                <pre>int&nbsp;getOutlineLevel()</pre>
                                <div class="block">Returns the rows outline level. Increased as you
                                    put it into more groups (outlines), reduced as
                                    you take it out of them.
                                </div>
                            </li>
                        </ul>
                        <a name="shiftCellsRight-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>shiftCellsRight</h4>
                                <pre>void&nbsp;shiftCellsRight(int&nbsp;firstShiftColumnIndex,
                     int&nbsp;lastShiftColumnIndex,
                     int&nbsp;step)</pre>
                            </li>
                        </ul>
                        <a name="shiftCellsLeft-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>shiftCellsLeft</h4>
                                <pre>void&nbsp;shiftCellsLeft(int&nbsp;firstShiftColumnIndex,
                    int&nbsp;lastShiftColumnIndex,
                    int&nbsp;step)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Row.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/Row.html" target="_top">Frames</a></li>
        <li><a href="Row.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
